Set external battery mode
POST
/batterymode/{batteryMode}
const url = 'https://demo.evcc.io/api/batterymode/unknown';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://demo.evcc.io/api/batterymode/unknownDirectly controls the mode of all controllable batteries. evcc behavior like ‘price limit’ or ‘prevent discharge while fast charging’ is overruled. External mode resets after 60s. The external system has to call this endpoint regularly.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”batteryMode
required
Battery operation mode.
string
Responses
Section titled “Responses”Battery mode
Media typeapplication/json
Battery mode. 0: unknown, 1: normal, 2: hold, 3: charge, 4: holdcharge
integer
Examplegenerated
1